<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:29:09 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>IConfigurable (org.eclipse.papyrus.designer.ucm.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IConfigurable (org.eclipse.papyrus.designer.ucm.profile 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IConfigurable.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/ContractModule.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/IConfigurationParameter.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/IConfigurable.html" target="_top">Frames</a></li>
<li><a href="IConfigurable.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts</div>
<h2 title="Interface IConfigurable" class="title">Interface IConfigurable</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/AnnotationDefinition.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts">AnnotationDefinition</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/ConnectorDefinition.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">ConnectorDefinition</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/ConnectorPortConfiguration.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions">ConnectorPortConfiguration</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/TechnicalPolicyDefinition.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies">TechnicalPolicyDefinition</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/impl/AnnotationDefinitionImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts.impl">AnnotationDefinitionImpl</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/impl/ConnectorDefinitionImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.impl">ConnectorDefinitionImpl</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/impl/ConnectorPortConfigurationImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.impl">ConnectorPortConfigurationImpl</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/impl/IConfigurableImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts.impl">IConfigurableImpl</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/TechnicalPolicyDefinitionImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl">TechnicalPolicyDefinitionImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">IConfigurable</span>
extends org.eclipse.emf.ecore.EObject</pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>IConfigurable</b></em>'.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/Ucm_contractsPackage.html#getIConfigurable--"><code>Ucm_contractsPackage.getIConfigurable()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IConfigurable.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/ContractModule.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/IConfigurationParameter.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/IConfigurable.html" target="_top">Frames</a></li>
<li><a href="IConfigurable.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
